Name:           starpy
Version:        1.0.1
Release:        1%{?dist}
Summary:        Python twisted library for Asterisk's AMI and FastAGI

License:        BSD
URL:            https://github.com/asterisk-org/starpy
Source0:        https://github.com/downloads/asterisk-org/starpy/starpy-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-twisted

%description
StarPy is a Python + Twisted protocol that provides access to the Asterisk
PBX's Manager Interface (AMI) and Fast Asterisk Gateway Interface (FastAGI).
Together these allow you write both command-and-control interfaces (used, for
example to generate new calls) and to customize user interactions from the
dial-plan.  You can readily write applications that use the AMI and FastAGI
protocol together with any of the already-available Twisted protocols.

StarPy is primarily intended to allow Twisted developers to add Asterisk
connectivity to their Twisted applications.  It isn't really targeted at the
normal AGI-writing populace, as it requires understanding Twisted's
asynchronous programming model.  That said, if you do know Twisted, it can
readily be used to write stand-alone FastAGIs.

%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc README LICENSE
%{python_sitelib}/*


%changelog
* Mon Feb 13 2012 Russell Bryant <russellb@fedoraproject.org> - 1.0.1-1
- Initial package
